
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Summary: Text file format converters
Name: dos2unix
Version: 7.3.4
%if %{p7build}
Release: 1.p7
%else
Release: 1
%endif
Group: Applications/Text
License: BSD
URL: http://www.xs4all.nl/~waterlan/dos2unix.html
Source0: http://www.xs4all.nl/~waterlan/dos2unix/%{name}-%{version}.tar.gz
Source1: http://www.xs4all.nl/~waterlan/dos2unix/%{name}-%{version}.tar.gz.asc
%if %{p7build}
Patch0: %{name}-%{version}-aixp7.patch
%else
Patch0: %{name}-%{version}-aix.patch
%endif
Provides: unix2dos = %{version}-%{release}
Obsoletes: unix2dos < 5.2-1

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: sed, make, gettext, coreutils
Requires: gettext

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
Convert text files with DOS or Mac line endings to Unix line endings and
vice versa.


%prep
%setup -q
%patch0


%build
gmake %{?smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH
gmake DESTDIR=${RPM_BUILD_ROOT} install

# We add doc files manually to %doc
rm -rf ${RPM_BUILD_ROOT}%{_prefix}/doc

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog.txt COPYING.txt
%doc NEWS.txt README.txt TODO.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Oct 10 2016 Michael Perzl <michael@perzl.org> - 7.3.4-1
- updated to version 7.3.4

* Mon May 02 2016 Michael Perzl <michael@perzl.org> - 7.3.3-1
- updated to version 7.3.3

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 7.3.2-1
- updated to version 7.3.2

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 7.3.1-1
- updated to version 7.3.1

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 7.3-1
- updated to version 7.3

* Thu Aug 27 2015 Michael Perzl <michael@perzl.org> - 7.2.3-1
- updated to version 7.2.3

* Thu Aug 27 2015 Michael Perzl <michael@perzl.org> - 7.2.2-1
- updated to version 7.2.2

* Thu Aug 27 2015 Michael Perzl <michael@perzl.org> - 7.2.1-1
- updated to version 7.2.1

* Thu Aug 27 2015 Michael Perzl <michael@perzl.org> - 7.2-1
- updated to version 7.2

* Sat Nov 01 2014 Michael Perzl <michael@perzl.org> - 7.1-1
- updated to version 7.1

* Wed Oct 01 2014 Michael Perzl <michael@perzl.org> - 7.0-1
- updated to version 7.0

* Mon Aug 25 2014 Michael Perzl <michael@perzl.org> - 6.0.6-1
- updated to version 6.0.6

* Sun Apr 20 2014 Michael Perzl <michael@perzl.org> - 6.0.5-1
- updated to version 6.0.5

* Wed Jan 01 2014 Michael Perzl <michael@perzl.org> - 6.0.4-1
- updated to version 6.0.4

* Sun Jan 27 2013 Michael Perzl <michael@perzl.org> - 6.0.3-1
- updated to version 6.0.3

* Fri Sep 07 2012 Michael Perzl <michael@perzl.org> - 6.0.2-1
- updated to version 6.0.2

* Thu Jul 26 2012 Michael Perzl <michael@perzl.org> - 6.0.1-1
- updated to version 6.0.1

* Mon May 07 2012 Michael Perzl <michael@perzl.org> - 6.0-1
- updated to version 6.0

* Sun Mar 11 2012 Michael Perzl <michael@perzl.org> - 5.3.3-1
- updated to version 5.3.3

* Sat Jan 28 2012 Michael Perzl <michael@perzl.org> - 5.3.2-1
- updated to version 5.3.2

* Wed Aug 10 2011 Michael Perzl <michael@perzl.org> - 5.3.1-1
- updated to version 5.3.1

* Wed Apr 27 2011 Michael Perzl <michael@perzl.org> - 5.3-1
- updated to version 5.3

* Fri Feb 04 2011 Michael Perzl <michael@perzl.org> - 5.2-1
- updated to version 5.2

* Thu Aug 26 2010 Michael Perzl <michael@perzl.org> - 5.1.1-1
- updated to version 5.1.1

* Mon Sep 29 2008 Michael Perzl <michael@perzl.org> - 3.1-1
- first version for AIX V5.1 and higher
